Accept the counterparty's pending price
curl --request POST \
--url https://api.hashlock.markets/v1/threads/{id}/accept-proposal \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quoteAmount": "<the pending price, base units — GET /v1/threads/{id}>"
}
'import requests
url = "https://api.hashlock.markets/v1/threads/{id}/accept-proposal"
payload = { "quoteAmount": "<the pending price, base units — GET /v1/threads/{id}>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({quoteAmount: '<the pending price, base units — GET /v1/threads/{id}>'})
};
fetch('https://api.hashlock.markets/v1/threads/{id}/accept-proposal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "<string>"
}Negotiation
Accept the counterparty's pending price
Name the price you are accepting: it is refused if a newer counter has replaced it since you read the thread.
POST
/
v1
/
threads
/
{id}
/
accept-proposal
Accept the counterparty's pending price
Authorizations
An API key (hk_live_… / hk_test_…) with read/taker/maker scopes.
Path Parameters
Body
application/json
the pending price, base units — must equal the thread's pendingAmount
Response
ok
The response is of type object.